Bug 75770 - rpm-4.1: rpmbuild fails with "unpackaged" files
rpm-4.1: rpmbuild fails with "unpackaged" files
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-11 22:49 EDT by sean
Modified: 2007-04-18 12:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-09 09:22:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sean 2002-10-11 22:49:49 EDT
Description of Problem:
rpmbuild --rebuild fails with glibc, binutils and perl for unpackaged files.
Here's the perl output:

Requires: perl = 2:5.8.0-58 libcrypt.so.1 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.2) libdl.so.2 libdl.so.2(GLIBC_2.0)
libdl.so.2(GLIBC_2.1) libm.so.6 libnsl.so.1 libperl.so libpthread.so.0
libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.2) libutil.so.1
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/perl-root
error: Installed (but unpackaged) file(s) found:
   /usr/lib/perl5/5.8.0/Filter/Simple.pm
   /usr/lib/perl5/5.8.0/Filter/Simple/Changes
   /usr/lib/perl5/5.8.0/Filter/Simple/README
   /usr/lib/perl5/5.8.0/Net/libnet.cfg
   /usr/lib/perl5/5.8.0/athlon-linux-thread-multi/Filter/Util/Call.pm
   /usr/lib/perl5/5.8.0/athlon-linux-thread-multi/auto/Filter/Util/Call/Call.bs
   /usr/lib/perl5/5.8.0/athlon-linux-thread-multi/auto/Filter/Util/Call/Call.so
   /usr/share/man/man3/Filter::Simple.3pm.gz
   /usr/share/man/man3/Filter::Util::Call.3pm.gz



Similar errors for glibc-2.3-2 and binutils-2.13.90.0.4-3. 

Is this an rpmbuild error or an error in all these packages? 


Version-Release number of selected component (if applicable):
rh8.0

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Jeff Johnson 2002-10-11 23:06:02 EDT
Let's turn this into a category bug.

rpm-4.1 now checks (by default) to see whether
any files were built but not packaged.

You have the following choices:

0) (recommended) figure out why the files were unpackaged.
Some files may need to be added to the %files manifest, other
files may need to be removed from $RPM_BUILD_ROOT.

1) install the redhat-rpm-config package which
warns, but does not terminate the build.

2) configure your machine to warn but not terminate a build:

    echo "%_unpackaged_files_terminate_build  0" >> /etc/rpm/macros
Comment 2 Jeff Johnson 2003-01-09 09:22:36 EST
Keeping this category bug open no longer seems necessary.
Comment 3 Peter Fales 2003-06-25 23:25:48 EDT
Just a note for the RedHat 9 users that happen to run into this problem and find
this bug report.  Option 1) doesn't work in RH 9, as
%_unpackaged_files_terminate_build  is now set to 1 in redhat-rpm-config. 
Option 2) works, but the file to modify is /usr/lib/rpm/macros.

Note You need to log in before you can comment on or make changes to this bug.